Deepleap users find neat stuff on the web, check it out

Sign Up With Deepleap


Yes! Registering for Deepleap is the first step on the road to Web bliss.

Before you register, please check the following requirements:

  • Deepleap works for the following browsers

    • IE 5.0 for Windows
    • Netscape 4.6+ for Window

    • Netscape 4.6+ for Macintosh
    • IE 5.0 for Macintosh

    • Netscape 4.6+ for Unix operating systems

  • You must also have Java and Javascript enabled.
  • Don't have these? Follow the links below, install the appropriate applications, and return to this page. We promise we'll make it worth the effort!

Note: IE 5.5 and Netscape 6 are both beta (or lower) browsers and are not currently supported by Deepleap.

Go here for the latest version of Netscape, or here for the latest version of Internet Explorer.

Also, please take a moment to review our terms of service below. You need to agree by clicking "Accept" below in order to use Deepleap.



Learn More
» Sign Up
About Us
Jobs!
Developer Info
User Directory
Help
Feedback


Login
username:
password:
remember me?


Don't have an account? Sign up here! Or did you forget your password?

Did you know?
You can get all sorts of movie information by highlighting a current film title!


Privacy Policy  |  User Agreement  |  feedback@deepleap.com © 2000 Deepleap, Inc.